diff --git a/drupal7/sites/all/modules/date/date_api/tests/DateApiUnitTestCase.test b/drupal7/sites/all/modules/date/date_api/tests/DateApiUnitTestCase.test
new file mode 100644
index 00000000..bd594872
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_api/tests/DateApiUnitTestCase.test
@@ -0,0 +1,267 @@
+<?php
+
+/**
+ * @file
+ * Unit tests for Date API functions.
+ */
+
+/**
+ * Unit tests for Date API functions.
+ */
+class DateApiUnitTestCase extends DrupalUnitTestCase {
+
+  /**
+   * @todo.
+   */
+  public static function getInfo() {
+    return array(
+      'name' => t('Date API unit tests'),
+      'description' => t('Unit test coverage for Date API functions.') ,
+      'group' => t('Date'),
+    );
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp() {
+    drupal_load('module', 'date_api');
+    parent::setUp();
+  }
+
+  /**
+   * Tests for date_is_all_day().
+   */
+  public function testDateIsAllDay() {
+    // Two empty strings, this should always return FALSE.
+    $string1 = '';
+    $string2 = '';
+    $response = date_is_all_day($string1, $string2);
+    $this->assertFalse($response, 'Two empty strings cannot represent an all-day date pair.');
+
+    // Two random date strings do not make an all-day pair.
+    $string1 = '2021-02-25 01:01:01';
+    $string2 = '2021-02-25 23:00:00';
+    $response = date_is_all_day($string1, $string2);
+    $this->assertFalse($response, 'Two random date strings do not make an "all day" pair.');
+
+    // It is not a valid "all day" date pair to start one second after midnight
+    // and end on midnight the next day.
+    $string1 = '2021-02-25 00:00:01';
+    $string2 = '2021-02-26 00:00:00';
+    $response = date_is_all_day($string1, $string2);
+    $this->assertFalse($response, 'Does not mark dates as "all day" if the first is 1 second after midnight on day 1 and the other is midnight on day 2.');
+
+    // A valid "all day" date pair when the granularity is 1, regardless of the
+    // unit.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:59';
+
+    // The granularity option must be one of a limited set of strings.
+    $response = date_is_all_day($string1, $string2, 'mango');
+    $this->assertFalse($response, 'The granularity argument must be one of a limited set of strings, so "mango" will not work.');
+
+    // A valid "all day" date pair starts at midnight and ends one second before
+    // midnight, both on the same day.
+    $response = date_is_all_day($string1, $string2);
+    $this->assertTrue($response, 'An "all day" date pair must start at midnight and end one time unit before midnight of the next day.');
+
+    // Confirm the granularity option works with seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to "second".');
+
+    // Confirm the granularity option works with minutes.
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to "minute".');
+
+    // Confirm the granularity option works with hours.
+    $response = date_is_all_day($string1, $string2, 'hour');
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to "hour".');
+
+    // Test the "increment" argument with a unit of 1.
+    $response = date_is_all_day($string1, $string2, 'second', 1);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 1 "second".');
+    $response = date_is_all_day($string1, $string2, 'minute', 1);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 1 "minute".');
+    $response = date_is_all_day($string1, $string2, 'hour', 1);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 1 "hour".');
+
+    // Test the "increment" argument with a unit of 15.
+    $response = date_is_all_day($string1, $string2, 'second', 15);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 15 "second".');
+    $response = date_is_all_day($string1, $string2, 'minute', 15);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 15 "minute".');
+    $response = date_is_all_day($string1, $string2, 'hour', 15);
+    $this->assertTrue($response, 'End time is 23:59:59 and granularity is set to 15 "hour".');
+
+    // A datetime pair ending at 23:59:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:00';
+
+    // This pair will only be valid when the granularity is "minute" or "hour".
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, 'Not valid with an end time of 23:59:00 and granularity is set to "second".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertTrue($response, '23:59:00 is a valid end time if the granularity is set to "minute".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertTrue($response, '23:59:00 is a valid end time if the granularity is set to "hour".');
+
+    // A datetime pair ending at 23:59:24. This is to confirm that segments of
+    // the time, after the granularity option, are ignored.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:24';
+
+    // This pair will only be valid when the granularity is "minute" or "hour".
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, 'Not valid with an end time of 23:59:24 and granularity is set to "second".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertTrue($response, '23:59:24 is a valid end time if the granularity is set to "minute".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertTrue($response, '23:59:24 is a valid end time if the granularity is set to "hour".');
+
+    // A datetime pair ending at 23:00:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:00:00';
+
+    // This pair will only be valid when the granularity is "minute" or "hour".
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, 'Not valid with an end time of 23:00:00 and granularity is set to "second".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, 'Not valid with an end time of 23:00:00 and granularity is set to "minute".');
+    $response = date_is_all_day($string1, $string2, 'hour');
+    $this->assertTrue($response, '23:00:00 is a valid end time if the granularity is set to "hour".');
+
+    // A datetime pair ending at 23:13:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:13:00';
+
+    // This pair will only be valid when the granularity is "minute" or "hour".
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, 'Not valid with an end time of 23:13:00 and granularity is set to "second".');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, 'Not valid with an end time of 23:13:00 and granularity is set to "minute".');
+    $response = date_is_all_day($string1, $string2, 'hour');
+    $this->assertTrue($response, '23:00:00 is a valid end time if the granularity is set to "hour".');
+
+    // A datetime pair ending at 23:59:55.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:55';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:59:55 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 5);
+    $this->assertTrue($response, '23:59:55 is a valid end time when the increment is set to 5 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute', 5);
+    $this->assertTrue($response, '23:59:55 is a valid end time when the increment is set to 5 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 5);
+    $this->assertTrue($response, '23:59:55 is a valid end time when the increment is set to 5 hours.');
+
+    // A datetime pair ending at 23:55:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:55:00';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:55:00 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 5);
+    $this->assertFalse($response, '23:55:00 is not a valid end time when the increment is set to 5 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, '23:55:00 is not a valid end time when the increment is set to 1 minute.');
+    $response = date_is_all_day($string1, $string2, 'minute', 5);
+    $this->assertTrue($response, '23:55:00 is a valid end time when the increment is set to 5 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 5);
+    $this->assertTrue($response, '23:55:00 is a valid end time when the increment is set to 5 hours.');
+
+    // A datetime pair ending at 23:59:50.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:50';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:59:50 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 10);
+    $this->assertTrue($response, '23:59:50 is a valid end time when the increment is set to 10 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute', 10);
+    $this->assertTrue($response, '23:59:50 is a valid end time when the increment is set to 10 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 10);
+    $this->assertTrue($response, '23:59:50 is a valid end time when the increment is set to 10 hours.');
+
+    // A datetime pair ending at 23:50:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:50:00';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:50:00 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 10);
+    $this->assertFalse($response, '23:50:00 is not a valid end time when the increment is set to 10 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, '23:50:00 is not a valid end time when the increment is set to 1 minute.');
+    $response = date_is_all_day($string1, $string2, 'minute', 10);
+    $this->assertTrue($response, '23:50:00 is a valid end time when the increment is set to 10 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 10);
+    $this->assertTrue($response, '23:50:00 is a valid end time when the increment is set to 10 hours.');
+
+    // A datetime pair ending at 23:59:45.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:45';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:59:45 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 15);
+    $this->assertTrue($response, '23:59:45 is a valid end time when the increment is set to 15 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute', 15);
+    $this->assertTrue($response, '23:59:45 is a valid end time when the increment is set to 15 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 15);
+    $this->assertTrue($response, '23:59:45 is a valid end time when the increment is set to 15 hours.');
+
+    // A datetime pair ending at 23:45:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:45:00';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:45:00 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 15);
+    $this->assertFalse($response, '23:45:00 is not a valid end time when the increment is set to 15 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, '23:45:00 is not a valid end time when the increment is set to 1 minute.');
+    $response = date_is_all_day($string1, $string2, 'minute', 15);
+    $this->assertTrue($response, '23:45:00 is a valid end time when the increment is set to 15 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 15);
+    $this->assertTrue($response, '23:45:00 is a valid end time when the increment is set to 15 hours.');
+
+    // A datetime pair ending at 23:59:30.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:59:30';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:59:30 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 30);
+    $this->assertTrue($response, '23:59:30 is a valid end time when the increment is set to 30 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute', 30);
+    $this->assertTrue($response, '23:59:30 is a valid end time when the increment is set to 30 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 30);
+    $this->assertTrue($response, '23:59:30 is a valid end time when the increment is set to 30 hours.');
+
+    // A datetime pair ending at 23:30:00.
+    $string1 = '2021-02-25 00:00:00';
+    $string2 = '2021-02-25 23:30:00';
+
+    // Test the "increment" argument with 5 seconds.
+    $response = date_is_all_day($string1, $string2, 'second');
+    $this->assertFalse($response, '23:30:00 is not a valid end time when the increment is set to 1 second.');
+    $response = date_is_all_day($string1, $string2, 'second', 30);
+    $this->assertFalse($response, '23:30:00 is not a valid end time when the increment is set to 30 seconds.');
+    $response = date_is_all_day($string1, $string2, 'minute');
+    $this->assertFalse($response, '23:30:00 is not a valid end time when the increment is set to 1 minute.');
+    $response = date_is_all_day($string1, $string2, 'minute', 30);
+    $this->assertTrue($response, '23:30:00 is a valid end time when the increment is set to 30 minutes.');
+    $response = date_is_all_day($string1, $string2, 'hour', 30);
+    $this->assertTrue($response, '23:30:00 is a valid end time when the increment is set to 30 hours.');
+  }
+
+}
diff --git a/drupal7/sites/all/modules/date/date_api/theme/theme.inc b/drupal7/sites/all/modules/date/date_api/theme/theme.inc
index 0a57ecd0..b216614e 100644
--- a/drupal7/sites/all/modules/date/date_api/theme/theme.inc
+++ b/drupal7/sites/all/modules/date/date_api/theme/theme.inc
@@ -168,7 +168,6 @@ function theme_date_part_label_time($variables) {
   return t('Time', array(), array('context' => 'datetime'));
 }
 
-
 /**
  * Returns HTML for a date block that looks like a mini calendar day.
  *
@@ -194,7 +193,7 @@ function theme_date_calendar_day($variables) {
 function theme_date_time_ago($variables) {
   $start_date = $variables['start_date'];
   $end_date = $variables['end_date'];
-  $use_end_date = isset($variables['use_end_date']) ? $variables['use_end_date'] : false;
+  $use_end_date = isset($variables['use_end_date']) ? $variables['use_end_date'] : FALSE;
   $interval = !empty($variables['interval']) ? $variables['interval'] : 2;
   $display = isset($variables['interval_display']) ? $variables['interval_display'] : 'time ago';
 
@@ -204,7 +203,7 @@ function theme_date_time_ago($variables) {
   }
 
   // We use the end date only when the option is checked.
-  if ($use_end_date){
+  if ($use_end_date) {
     $date = date_format($end_date, DATE_FORMAT_UNIX);
   }
   else {
@@ -212,10 +211,10 @@ function theme_date_time_ago($variables) {
   }
 
   // Time to compare dates to.
-
   $now = date_format(date_now(), DATE_FORMAT_UNIX);
 
-  // Will be positive for a datetime in the past (ago), and negative for a datetime in the future (hence).
+  // Will be positive for a datetime in the past (ago), and negative for a
+  // datetime in the future (hence).
   $time_diff = $now - $date;
 
   // Uses the same options used by Views format_interval.
@@ -240,6 +239,5 @@ function theme_date_time_ago($variables) {
 
     case 'time span':
       return t(($time_diff < 0 ? '%time hence' : '%time ago'), array('%time' => format_interval(abs($time_diff), $interval)));
-
   }
 }
diff --git a/drupal7/sites/all/modules/date/date_context/date_context.info b/drupal7/sites/all/modules/date/date_context/date_context.info
index 97cb8c9d..09b154f2 100644
--- a/drupal7/sites/all/modules/date/date_context/date_context.info
+++ b/drupal7/sites/all/modules/date/date_context/date_context.info
@@ -3,14 +3,13 @@ description = Adds an option to the Context module to set a context condition ba
 package = Date/Time
 core = 7.x
 
-dependencies[] = date
-dependencies[] = context
+dependencies[] = date:date
+dependencies[] = context:context
 
-files[] = date_context.module
 files[] = plugins/date_context_date_condition.inc
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/date_context/date_context.module b/drupal7/sites/all/modules/date/date_context/date_context.module
index 9b568e15..01ba4a97 100644
--- a/drupal7/sites/all/modules/date/date_context/date_context.module
+++ b/drupal7/sites/all/modules/date/date_context/date_context.module
@@ -1,14 +1,13 @@
 <?php
+
 /**
  * @file
  * Add an option to set/not set the context on forms vs views.
  *
- * @TODO
- *
- * Currently only implemented for nodes. Need to add $plugin->execute()
+ * @todo Currently only implemented for nodes. Need to add $plugin->execute()
  * for any other entities that might be supported.
  *
- * Cache the date processing, perhaps cache the formatted, timezone-adjusted
+ * @todo Cache the date processing, perhaps cache the formatted, tz-adjusted
  * date strings for each entity (would have to be cached differently for each
  * timezone, based on the tz_handling method for the date).
  */
diff --git a/drupal7/sites/all/modules/date/date_context/plugins/date_context_date_condition.inc b/drupal7/sites/all/modules/date/date_context/plugins/date_context_date_condition.inc
index 97c18b47..9e03dff8 100644
--- a/drupal7/sites/all/modules/date/date_context/plugins/date_context_date_condition.inc
+++ b/drupal7/sites/all/modules/date/date_context/plugins/date_context_date_condition.inc
@@ -2,13 +2,12 @@
 
 /**
  * @file
- * Context date condition plugin.
+ * Context condition plugin for date values.
  */
 
 /**
- * Expose term views/term forms by vocabulary as a context condition.
+ * Context condition plugin for date values.
  */
-// @codingStandardsIgnoreStart
 class date_context_date_condition extends context_condition_node {
 
   /**
@@ -71,7 +70,6 @@ class date_context_date_condition extends context_condition_node {
         $fields = $this->fetch_from_context($context, 'values');
 
         foreach ($fields as $field_name => $label) {
-
           // If this field does not exist on this entity, just move along.
           if (empty($entity->{$field_name})) {
             continue;
@@ -79,19 +77,22 @@ class date_context_date_condition extends context_condition_node {
 
           $items = field_get_items('node', $entity, $field_name);
 
-          // If there are no values, nothing to do unless we were looking for 'empty' or '!='.
+          // If there are no values, nothing to do unless we were looking for
+          // 'empty' or '!='.
           if (empty($items)) {
             if ($options['operation'] == '!=' || $options['operation'] == 'empty') {
               $this->condition_met($context, $field_name);
             }
           }
 
-          // We don't have to construct the date values if we're just testing for 'not empty'.
+          // We don't have to construct the date values if we're just testing
+          // for 'not empty'.
           elseif ($options['operation'] == 'not empty') {
             $this->condition_met($context, $field_name);
           }
 
-          // All other operations need to retrieve the date values for comparision.
+          // All other operations need to retrieve the date values for
+          // comparision.
           else {
             $field = field_info_field($field_name);
             $timezone_db = date_get_timezone_db($field['settings']['tz_handling']);
@@ -152,5 +153,5 @@ class date_context_date_condition extends context_condition_node {
       }
     }
   }
+
 }
-// @codingStandardsIgnoreEnd
